HttpTransportConnector (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.http.HttpTransportConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.http
Class HttpTransportConnector

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport
          org.codehaus.activemq.transport.http.HttpTransportConnector

All Implemented Interfaces:
  Service, TransportServerChannel

public class HttpTransportConnector
extends TransportServerChannelSupport

Version:
  $Revision: 1.2 $

Constructor Summary
`HttpTransportConnector(URI uri)`

Method Summary
`protected TextWireFormat` | `createWireFormat()`
`TextWireFormat` | `getWireFormat()`
`void` | `setWireFormat(TextWireFormat wireFormat)`
`void` | `start()` start listeneing for events
`void` | `stop()` close the ServerChannel

Methods inherited from class org.codehaus.activemq.transport.TransportServerChannelSupport
`addClient, getTransportChannelListener, getUrl, setTransportChannelListener, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTransportConnector

    public HttpTransportConnector(URI uri)

Method Detail

### start

    public void start()
               throws JMSException

  Description copied from interface: `TransportServerChannel`
  start listeneing for events

  Specified by:
    `start` in interface `TransportServerChannel`
  Overrides:
    `start` in class `TransportServerChannelSupport`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `TransportServerChannel`
  close the ServerChannel

  Specified by:
    `stop` in interface `TransportServerChannel`
  Overrides:
    `stop` in class `TransportServerChannelSupport`
  Throws:
    `JMSException`

### getWireFormat

    public TextWireFormat getWireFormat()

### setWireFormat

    public void setWireFormat(TextWireFormat wireFormat)

### createWireFormat

    protected TextWireFormat createWireFormat()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.